[Deprecated]: V7.0

post

/ec-dc-svc/rest/v7.0/studies/{studyId}/{mode}/dataelements

Deprecated: Creates multiple data elements for a subject, for a particular visit and particular form.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request payload for data elements used in multi-section forms, carrying context and a list of elements.
Show Source
Nested Schema : Context2
Type: object
Extended context including repeat sequence and repeat form number.
Show Source
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 699EF3745FC545589F186D2198F3C65E
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 1
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 299BC76CF0F943E6BAC1D209BC3D1CDC
  • Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.
    Example: 1
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: A86F2D0BB610404DB62D37AFA9C20B50
  • Minimum Length: 0
    Maximum Length: 100
    Name of the study
    Example: DEMO_STUDY
  • Minimum Length: 0
    Maximum Length: 100
    String representing the version of the study. Helps track changes in form or study design.
    Example: 1.0.0.1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : dataElements
Type: array
List of data elements to process for the given context.
Show Source
Nested Schema : CoreDataElementV4
Type: object
Core data element payload (v4).
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Any general comments for the data element instance.
    Example: Measured after fasting
  • Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).
    Example: B1B8327AFAA6412287106192AB5984EF
  • Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: D9876543D9876543D9876543D9876543
  • Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.
    Example: A86F2D0BB610404DB62D37AFA9C20B50
  • Primary uuid identifier for the data element instance (HEX, upper case).
    Example: C1234567C1234567C1234567C1234567
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unit of measurement for this value (if applicable).
    Example: mg/dL
  • An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).
    Example: F4443333F4443333F4443333F4443333
  • Unique Identfier (UUID, 32-character uppercase hexadecimal string) of data capture properties
    Example: 299BC76CF0F943E6BAC1D209BC3D1CDC
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2024-01-01T00:00:00Z
  • Minimum Length: 0
    Maximum Length: 255
    Reason for this data entry/edit.
    Example: Other
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 2
  • Transaction end date/time for this observation.
    Example: 2024-01-01T13:00:00Z
  • Transaction start date/time for this observation.
    Example: 2024-01-01T12:00:00Z
  • Minimum Length: 0
    Maximum Length: 4000
    Measured value captured for this data element.
    Example: 42.0
  • Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.
    Example: E5554444E5554444E5554444E5554444
  • Minimum Length: 0
    Maximum Length: 100
    Code supplied by vendor.
    Example: VENDOR42
Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto50
Type: object
Data element extension adding dataFlag identifier inherited by higher versions
Show Source

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top